Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/Persistence/Legacy/URL/Query/CriterionHandler/Validity.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler;
8
9 use eZ\Publish\API\Repository\Values\URL\Query\Criterion;
10 use eZ\Publish\Core\Persistence\Legacy\URL\Query\CriteriaConverter;
11 use eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler;
12 use eZ\Publish\Core\Persistence\Database\SelectQuery;
13
14 class Validity implements CriterionHandler
15 {
19 public function accept(Criterion $criterion)
20 {
21 return $criterion instanceof Criterion\Validity;
22 }
23
27 public function handle(CriteriaConverter $converter, SelectQuery $query, Criterion $criterion)
28 {
30 return $query->expr->eq(
31 'is_valid',
32 $query->bindValue((int) $criterion->isValid)
33 );
34 }
35 }
eZ\Publish\API\Repository\Values\URL\Query\Criterion\Validity
Matches URLs based on validity flag.
Definition: API/Repository/Values/URL/Query/Criterion/Validity.php:13
eZ\Publish\API\Repository\Values\URL\Query\Criterion
Definition: API/Repository/Values/URL/Query/Criterion.php:10
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriteriaConverter
Definition: Persistence/Legacy/URL/Query/CriteriaConverter.php:14
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Validity\accept
accept(Criterion $criterion)
{Check if this criterion handler accepts to handle the given criterion.bool}
Definition: Core/Persistence/Legacy/URL/Query/CriterionHandler/Validity.php:19
eZ\Publish\Core\Persistence\Database\Query\bindValue
bindValue($value, $placeHolder=null, $type=PDO::PARAM_STR)
Binds the value $value to the specified variable name $placeHolder.
eZ\Publish\Core\Persistence\Database\SelectQuery
Definition: SelectQuery.php:16
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler
Definition: Persistence/Legacy/URL/Query/CriterionHandler.php:13
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\handle
handle(CriteriaConverter $converter, SelectQuery $query, Criterion $criterion)
Generate query expression for a Criterion this handler accepts.
eZ\Publish\API\Repository\Values\URL\Query\Criterion
Definition: API/Repository/Values/URL/Query/Criterion/LogicalAnd.php:7
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler
Definition: Persistence/Legacy/URL/Query/CriterionHandler/Base.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.